Create a space
Needs: Reports, Read-write
Creates a report space (a sidebar folder), first in the list as the sidebar does, with an optional colour and subfolders.
curl -X POST "https://app.imploy.com.au/api/integrations/v1/reports/spaces" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"name": "Operations",
"color": "Blue",
"subfolders": [
{
"name": "Weekly"
}
]
}'
import requests
import json
url = "https://app.imploy.com.au/api/integrations/v1/reports/spaces"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"name": "Operations",
"color": "Blue",
"subfolders": [
{
"name": "Weekly"
}
]
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://app.imploy.com.au/api/integrations/v1/reports/spaces", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"name": "Operations",
"color": "Blue",
"subfolders": [
{
"name": "Weekly"
}
]
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "Operations",
"color": "Blue",
"subfolders": [
{
"name": "Weekly"
}
]
}`)
req, err := http.NewRequest("POST", "https://app.imploy.com.au/api/integrations/v1/reports/spaces", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.imploy.com.au/api/integrations/v1/reports/spaces')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"name": "Operations",
"color": "Blue",
"subfolders": [
{
"name": "Weekly"
}
]
}'
response = http.request(request)
puts response.body
{
"created": 2,
"...": "the space"
}
{
"message": "Invalid or expired access token."
}
{
"message": "Access token does not permit this action."
}
{
"message": "Too many requests."
}
/reports/spaces
Target server for requests. Edit to use your own host.
An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
imp_at_. Send it as Authorization: Bearer imp_at_XXXX.The media type of the request body
The space name.
A folder colour name or hex: Gray, Red, Pink, Purple, Blue, Cyan, Teal, Green, Yellow, Orange or Brown, or a hex value from the sidebar palette. Or null.
Each needs a name, and can have a color.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
Body
The space name.
A folder colour name or hex: Gray, Red, Pink, Purple, Blue, Cyan, Teal, Green, Yellow, Orange or Brown, or a hex value from the sidebar palette. Or null.
Each needs a name, and can have a color.